Package twisted :: Package internet :: Module base :: Class BasePort |
[frames | no frames]

## Class BasePort

     Ephemeral --+
                 |
        Logger --+
                 |
    FileDescriptor --+
                     |
                    BasePort

Known Subclasses:
  `Port`, `Port`

Basic implementation of a ListeningPort.

Method Summary
| `createInternetSocket(self)`
| ``doWrite`(self)` Raises a RuntimeError
Inherited from FileDescriptor
| ``__init__`(self, reactor)`
| ``_postLoseConnection`(self)` Called after a loseConnection(), when all data has been written.
| ``connectionLost`(self, reason)` The connection was lost.
| ``fileno`(self)` File Descriptor number for select().
| ``loseConnection`(self)` Close the connection at the next available opportunity.
| ``pauseProducing`(self)`
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer.
| ``resumeProducing`(self)`
| ``startReading`(self)` Start waiting for read availability.
| ``startWriting`(self)` Start waiting for write availability.
| ``stopConsuming`(self)` Stop consuming data.
| ``stopProducing`(self)`
| ``stopReading`(self)` Stop waiting for read availability.
| ``stopWriting`(self)` Stop waiting for write availability.
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting.
| ``write`(self, data)` Reliably write some data.
| ``writeSequence`(self, iovec)`
| ``writeSomeData`(self, data)` Write as much as possible of the given data, immediately.
Inherited from Logger
| ``logPrefix`(self)` Override this method to insert custom logging behavior.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
`NoneType` | `addressFamily` = None
`NoneType` | `socketType` = None
Inherited from FileDescriptor
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`int` | `bufferSize` = 65536
`int` | `connected` = 0
`str` | `dataBuffer` = `''`
`int` | `disconnected` = 0
`int` | `disconnecting` = 0
`int` | `offset` = 0
`NoneType` | `producer` = None
`int` | `producerPaused` = 0
`int` | `streamingProducer` = 0

Method Details

### doWrite(self) Raises a RuntimeError Overrides: `twisted.internet.abstract.FileDescriptor.doWrite`

Class Variable Details

    ### addressFamily Type: `NoneType` Value:
        None

    ### socketType Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:54:47 2003 | http://epydoc.sf.net